#!/usr/bin/perl -w

use strict;
use Data::Dumper;

die("Usage: cgrammar2java.pl <inputfile.g>\n") unless scalar (@ARGV);

my $inputfile = pop @ARGV;
open LOGFILE, "<$inputfile" or die("File not found: $inputfile\n");

my $multilinecomment = 0;
    
while(my $line = <LOGFILE>)
{
    if($line =~m/^k_[a-z0-9_]+/)
    {
	print "// $line";
	next;
    }
    # rename grammar
    $line =~s/^grammar (\w+);/grammar $1Java;/;

    # change language
    $line =~s/language\W*=\W*C/language=Java/;

    $line =~s:\bk_([a-z0-9_]+)\b:"'".uc($1)."'":ge;

    if($line =~m/@[a-z0-9:]+.*{/)
    {
	$multilinecomment = 1;
    }
    if($multilinecomment && $line=~/.*}/)
    {
	$multilinecomment = 0;
	print "// $line";
	next;
    }

    if($multilinecomment)
    {
	print "// $line";
    } else {	
	print $line;
    }
}

close LOGFILE;


