SELECT
	dbin.db_name,
	dbin.instance_name,
	dbin.version,
	CASE WHEN s1.startup_time = s2.startup_time             THEN 0 ELSE 1 END as bounce,
        CAST(s1.end_interval_time AS DATE) as begin_time,
	CAST(s2.end_interval_time AS DATE) as end_time,
	ROUND((cast( (case when s2.end_interval_time > s1.end_interval_time then s2.end_interval_time else s1.end_interval_time end) as date)
		- cast(s1.end_interval_time as date)) * 86400) as int_secs,
	CASE WHEN (s1.status <> 0 OR s2.status <> 0) THEN 1 ELSE 0 END as err_detect,
        round( greatest( (extract(day from s2.flush_elapsed) * 86400)
	       + (extract(hour from s2.flush_elapsed) * 3600)
	       + (extract(minute from s2.flush_elapsed) * 60)
	       + extract(second from s2.flush_elapsed),
	       (extract(day from s1.flush_elapsed) * 86400)
	       + (extract(hour from s1.flush_elapsed) * 3600)
	       + (extract(minute from s1.flush_elapsed) * 60)
	       + extract(second from s1.flush_elapsed),0 )
	) as max_flush_secs
FROM WRM$_SNAPSHOT s1 ,  WRM$_DATABASE_INSTANCE dbin ,  WRM$_SNAPSHOT s2
WHERE s1.dbid = :dbid
AND s2.dbid = :dbid
AND s1.instance_number = :inst_num
AND s2.instance_number = :inst_num
AND s1.snap_id  = :bid
AND s2.snap_id = :eid
AND dbin.dbid = s1.dbid
AND dbin.instance_number = s1.instance_number
AND dbin.startup_time = s1.startup_time
;
