MERGE /*+ dynamic_sampling(mm 4) dynamic_sampling_est_cdn(mm)
              dynamic_sampling(m 4) dynamic_sampling_est_cdn(m) */

INTO SYS.MON_MODS_ALL$ MM
USING
(
	SELECT DECODE(GROUPING_ID(TP.BO#,TSP.POBJ#,M.OBJ#),3,TP.BO#,1,TSP.POBJ#,M.OBJ#) OBJ#, SUM(M.INSERTS) INSERTS, SUM(M.UPDATES) UPDATES, SUM(M.DELETES) DELETES,
	DECODE(SUM(BITAND(M.FLAGS,1)),0,0,1) +DECODE(SUM(BITAND(M.FLAGS,2)),0,0,2) +DECODE(SUM(BITAND(M.FLAGS,4)),0,0,4) FLAGS, SUM(M.DROP_SEGMENTS) DROP_SEGMENTS
	FROM SYS.MON_MODS$ M, SYS.TABCOMPART$ TP, SYS.TABSUBPART$ TSP
	WHERE M.OBJ# = TSP.OBJ# AND TP.OBJ# = TSP.POBJ#
	GROUP BY ROLLUP(TP.BO#,TSP.POBJ#,M.OBJ#) HAVING GROUPING_ID(TP.BO#,TSP.POBJ#,M.OBJ#) < 7
) V ON
(MM.OBJ# = V.OBJ#)
WHEN MATCHED THEN
UPDATE SET MM.INSERTS = MM.INSERTS + V.INSERTS, MM.UPDATES = MM.UPDATES + V.UPDATES, MM.DELETES = MM.DELETES + V.DELETES,
MM.FLAGS = MM.FLAGS + V.FLAGS - BITAND(MM.FLAGS,V.FLAGS) , MM.DROP_SEGMENTS = MM.DROP_SEGMENTS + V.DROP_SEGMENTS
WHEN NOT MATCHED THEN INSERT VALUES (V.OBJ#, V.INSERTS, V.UPDATES, V.DELETES, SYSDATE, V.FLAGS, V.DROP_SEGMENTS)
;