WITH
  REPORTS_TO_101 (EID, EMP_LAST, MGR_ID, REPORTLEVEL, MGR_LIST) 
  AS
  (
     SELECT EMPLOYEE_ID, LAST_NAME, MANAGER_ID, 0 REPORTLEVEL
     , CAST(MANAGER_ID AS VARCHAR2(2000))
     FROM EMPLOYEES
     WHERE EMPLOYEE_ID = 101
  UNION ALL
     SELECT E.EMPLOYEE_ID, E.LAST_NAME, E.MANAGER_ID, REPORTLEVEL+1
     , CAST(MGR_LIST || ',' || MANAGER_ID AS VARCHAR2(2000))
     FROM REPORTS_TO_101 R, EMPLOYEES E
     WHERE R.EID = E.MANAGER_ID
  )
SELECT EID, EMP_LAST, MGR_ID, REPORTLEVEL, MGR_LIST
FROM REPORTS_TO_101
ORDER BY REPORTLEVEL, EID
;
