WITH
  ORG_CHART (EID, EMP_LAST, MGR_ID, REPORTLEVEL, SALARY, JOB_ID) AS
  (
    SELECT EMPLOYEE_ID, LAST_NAME, MANAGER_ID, 0 REPORTLEVEL, SALARY, JOB_ID
    FROM EMPLOYEES
    WHERE MANAGER_ID IS NULL
  UNION ALL
    SELECT E.EMPLOYEE_ID, E.LAST_NAME, E.MANAGER_ID,
           R.REPORTLEVEL+1 REPORTLEVEL, E.SALARY, E.JOB_ID
    FROM ORG_CHART R, EMPLOYEES E
    WHERE R.EID = E.MANAGER_ID
  )
  SEARCH DEPTH FIRST BY EMP_LAST SET ORDER1
SELECT LPAD(' ',2*REPORTLEVEL)||EMP_LAST EMP_NAME, EID, MGR_ID, SALARY, JOB_ID
FROM ORG_CHART
ORDER BY ORDER1

;
